## POSIX-Wide-12.tar.gz

=== devel/Makefile ===
#!/usr/bin/perl -w

# Copyright 2009, 2014 Kevin Ryde

# This file is part of POSIX-Wide.
#
# POSIX-Wide is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# POSIX-Wide is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with POSIX-Wide.  If not, see <http://www.gnu.org/licenses/>.


CFLAGS=-Wall
all: exe-localeconv
	./exe-localeconv
exe-localeconv: exe-localeconv.c

=== debian/changelog ===
libposix-wide-perl (12-0.1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42_kevin@yahoo.com.au>  Mon, 08 Jul 2024 22:05:51 +1000

=== debian/control ===
# Copyright 2010, 2011, 2012, 2013, 2014, 2016, 2017, 2018 Kevin Ryde

# This file is part of POSIX-Wide.
#
# POSIX-Wide is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# POSIX-Wide is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with POSIX-Wide.  If not, see <http://www.gnu.org/licenses/>.


# Build-Depends could have the "maximum_tests" modules from META.yml
# for more tests, but they're optional author tests really and would
# just make the build tools drag in more stuff.

Source: libposix-wide-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42_kevin@yahoo.com.au>
Standards-Version: 4.2.1
Homepage: http://user42.tuxfamily.org/posix-wide/index.html
Bugs: mailto:user42_kevin@yahoo.com.au

Package: libposix-wide-perl
Architecture: all
Depends: perl (>= 5.8.1), libencode-locale-perl, ${perl:Depends}, ${misc:Depends}
Breaks: libi18n-langinfo-wide-perl (<< 9)
Replaces: libi18n-langinfo-wide-perl (<< 9)
Description: POSIX module functions with wide-char strings
 This is variations of the POSIX module functions taking and returning
 Perl wide-char strings rather than locale charset bytes.

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2010, 2014, 2017 Kevin Ryde
#
# This file is part of POSIX-Wide.
#
# POSIX-Wide is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# POSIX-Wide is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with POSIX-Wide.  If not, see <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
https://user42.tuxfamily.org/posix-wide/index.html \
	.*/POSIX-Wide-([0-9]+)\.tar\.gz
